常见参数
这些参数适用于所有 Amazon type。特定于类型的参数(例如 type=product 的 asin,或卖家类型的 seller_id)位于各自的端点页面上。
参数
章节标题“参数”| 参数 | 类型 | 必填 | 说明 |
|---|---|---|---|
api_key | string | 是 | 您的 SERP API 密钥 |
engine | string | 是 | 必须为 amazon |
type | string | 是 | 指定查询类型(search、product、bestsellers、deals、category、seller_profile、seller_products、seller_feedback) |
domain | string | 否 | 目标市场(例如 amazon.co.uk、amazon.de)。默认值为 amazon.com |
device | desktop | mobile | 否 | 模拟的设备 |
page | integer | 否 | 分页类型的页码 |
output | json | html | 否 | 响应格式。默认值为 json |
设备与应用商店示例
章节标题“设备与应用商店示例”美国桌面版电子产品畅销榜:
curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=bestsellers&category_id=electronics&domain=amazon.com"德国移动版搜索:
curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=search&q=laptop&domain=amazon.de&device=mobile"分页
章节标题“分页”page 从 1 开始索引。当响应中包含 next_page URL 时,可直接访问该 URL,或递增 page 的值。
# Page 1curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=search&q=books&page=1"
# Page 2curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=search&q=books&page=2"